package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模块信息对象 tuya_channel_info
 *
 * @author zf
 * @date 2022-07-06
 */
public class TuyaChannelInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long channelId;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String channelName;

    /** 所属平台 */
    @Excel(name = "所属平台")
    private Long channelSiteId;

    /** URL */
    @Excel(name = "URL")
    private String channelLinkUrl;

    /** 图片 */
    @Excel(name = "图片")
    private String channelLinkImg;

    /** 排序数字 */
    @Excel(name = "排序数字")
    private Long sortId;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private String isLock;

    /** 标识 */
    @Excel(name = "标识")
    private Long flag;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    @Excel(name = "平台名称", readConverterExp = "中=")
    private String siteNameCn;

    public void setChannelId(Long channelId)
    {
        this.channelId = channelId;
    }

    public Long getChannelId()
    {
        return channelId;
    }
    public void setChannelName(String channelName)
    {
        this.channelName = channelName;
    }

    public String getChannelName()
    {
        return channelName;
    }
    public void setChannelSiteId(Long channelSiteId)
    {
        this.channelSiteId = channelSiteId;
    }

    public Long getChannelSiteId()
    {
        return channelSiteId;
    }
    public void setChannelLinkUrl(String channelLinkUrl)
    {
        this.channelLinkUrl = channelLinkUrl;
    }

    public String getChannelLinkUrl()
    {
        return channelLinkUrl;
    }
    public void setChannelLinkImg(String channelLinkImg)
    {
        this.channelLinkImg = channelLinkImg;
    }

    public String getChannelLinkImg()
    {
        return channelLinkImg;
    }
    public void setSortId(Long sortId)
    {
        this.sortId = sortId;
    }

    public Long getSortId()
    {
        return sortId;
    }
    public void setIsLock(String isLock)
    {
        this.isLock = isLock;
    }

    public String getIsLock()
    {
        return isLock;
    }
    public void setFlag(Long flag)
    {
        this.flag = flag;
    }

    public Long getFlag()
    {
        return flag;
    }

    public String getRemark()
    {
        return remark;
    }
    public void setRemark(String remark)
    {
        this.remark = remark;
    }

    public String getSiteNameCn()
    {
        return siteNameCn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("channelId", getChannelId())
            .append("channelName", getChannelName())
            .append("channelSiteId", getChannelSiteId())
            .append("channelLinkUrl", getChannelLinkUrl())
            .append("channelLinkImg", getChannelLinkImg())
            .append("sortId", getSortId())
            .append("isLock", getIsLock())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("flag", getFlag())
            .append("remark", getRemark())
            .append("siteNameCn", getSiteNameCn())
            .toString();
    }
}
